class Converter

  attr_accessor :value
  attr_reader :temperatureInCelcius 

  def initialize(value, temperatureInCelcius)
    @value = value
    @temperatureInCelcius = temperatureInCelcius
  end

  def unit= (unit)
    case unit
    when "C"
      @temperatureInCelcius = value
    when "F"
      @temperatureInCelcius = FahrenheidToCelcius.convert(value)
    when "K"
      @temperatureInCelcius = KelvinToCelcius.convert(value)
    else
      @temperatureInCelcius = "not a correct value"
    end

  end
end