class Thermostat

    attr_accessor :actual_temperature, :wanted_temperature

    def initialize(wanted_temperature, actual_temperature, range_temperature)
        @wanted_temperature = wanted_temperature 
        @actual_temperature = actual_temperature
        @range_temperature = range_temperature
    end

    def heating?
        @wanted_temperature > @actual_temperature + @range_temperature
    end

    def cooling?
        @wanted_temperature < @actual_temperature - @range_temperature
    end
end